@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Konkhmer+Sleokchher&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: "Inter";
    overflow: none;
}


body{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

header{
    width: 100vw;
    height: 30vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

h1{
    font-size: 2.5rem;
    font-weight: 800;
    color: #3498db;
}

section{
    width: 80vw;
    height: 70vh;
    display: flex;
    /* padding: 0 5rem; */

    
}

section > div{
    box-shadow: 1px 1px 10px 0px rgba(0,0,0,0.25);

}


    .footer-progress-container {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 0.5rem; /* Schön dünn */
        background-color: #eee; /* Der "leere" Teil */
        z-index: 9999; /* Immer ganz oben */
    }

    #footer-bar {
        height: 100%;
        width: var(--fill-level, 0%); /* Nutzt dieselbe Variable wie dein Text! */
        background-color: #3498db; /* Die Füllfarbe */
        transition: width 0.3s ease; /* Sanfte Animation */
    }